﻿using System.Windows;
using ELTE.Windows.Students.ViewModel;
using ELTE.Windows.Students.View;

namespace ELTE.Windows.Students
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            StudentsViewModel viewModel = new StudentsViewModel(); // nézetmodell létrehozása
            viewModel.LoadStudents();

            MainWindow window = new MainWindow(); // nézet létrehozása
            window.DataContext = viewModel; // nézetmodell és modell társítása
            window.Show();

            /*
            MainWindow doubleWindow = new MainWindow();
            doubleWindow.DataContext = viewModel;
            doubleWindow.Show();
            */
        }
    }
}
